
  <template>
      <require from="./custom.css"></require>

      <header class="mui-appbar mui--z1">
          <div class="mui-container">
              <table>
                <tr class="mui--appbar-height">
                  <td class="mui--text-title">${heading}</td>
                  <td class="mui--text-right">
                    
                      <button class="mui-btn mui-btn--primary" click.delegate="rate()"><i class="fas fa-cart-plus fa-lg"></i>  Add To Order</button>
                      <button class="mui-btn mui-btn--primary" click.delegate="rate()"><i class="fas fa-fax fa-lg"></i>   Fax Order</button>
                    
                  </td>
                </tr>
              </table>
            </div>
      </header>
      <div class="mui--appbar-height"></div>
      
      <div class="mui-container-fluid">
          <div class="mui-row">
      
            <div class="mui-col-md-12">
              <table class="mui-table mui-table--bordered">
                <thead>
                  <tr>
                    <th>Item</th>
                    <th>Name</th> 
                    <th>Amount</th>
                    <th class="mui--text-center">Action</th>
                  </tr>
                </thead> 
                <tbody>
                  <tr repeat.for="item of orders.orderItems">
                    <td width="40%" class="mui--text-left">${item.description}</td>
                    <td width="40%" class="mui--text-left">${item.itemOrderedBy}</td>
                    <td width="10%" class="mui--text-left">£${item.itemAmount}</td>
                    <td width="10%" class="mui--text-center"><button class="mui-btn mui-btn--flat mui-btn--primary" click.trigger="removeItem(item)"><i class="fas fa-trash fa-lg"></i></button></td>
                  </tr>
                  <tr>
                      <td width="40%"></td>
                      <td width="40%" class="mui--text-right">Total Amount:</td>
                      <td width="10%" class="mui--text-left">£${orders.itemsTotal.toFixed(2)}</td>
                      <td width="10%"></td>
                  </tr> 	
               </tbody>
               </table>
            </div>
          </div>
      </div>
    </template>
